Market Data

data-securitiesSummary

Retrieve summary trading information for a securities symbol or an index by each trading date. Provide only one of the two parameters, Symbol or Index.

GET
/api/v3/data/securitiesSummary

Authorization

Bearer
AuthorizationBearer <token>

Enter the JWT token in the format Bearer <token>.

In: header

Header Parameters

Content-Typestringrequired

The content format of the request body, use "application/json".

User-Agentstringoptional

Information about the client sending the request.

Accept-Languagestringoptional

The desired response language. If this header is absent, the system defaults to en.

Query Parameters

symbolstringoptional

The securities symbol. Provide only one of symbol or index.

indexstringoptional

The index code for which to retrieve summary trading information (e.g. VNINDEX, VN30, VN100 etc...)

fromstringrequired

The start date in `YYYY/MM/DD` format.

tostringrequired

The end date in `YYYY/MM/DD` format. Must be greater than or equal to `from`.

pageIndexintegeroptional

The page index for paginated results, starting from 1. If not provided, the system uses the default value of 1. This value, combined with `pageSize`, lets the client retrieve different portions of the historical order book data when there are many records.

pageSizeintegeroptional

The number of records per page for paginated results. If not provided, the system uses the default value of 10. This value, combined with `pageIndex`, lets the client retrieve different portions of the historical order book data when there are many records.

Response Headers

X-RATELIMIT-LIMITstringoptional

The request limit for the period.

X-RATELIMIT-REMAININGstringoptional

The number of requests remaining in the current period.

X-RATELIMIT-RESETstringoptional

The time at which the request limit resets.

Response Body

application/json

application/json

curl -X GET "https://api.ssi.com.vn/api/v3/data/securitiesSummary?from=string&to=string" \  -H "Content-Type: application/json"

Success

{
  "pageSize": 0,
  "pageIndex": 0,
  "pagesCount": 0,
  "itemsCount": 0,
  "data": [
    {
      "symbol": "string",
      "tradingDate": "string",
      "priceChange": "string",
      "priceChangePercentage": "string",
      "open": "string",
      "high": "string",
      "low": "string",
      "close": "string",
      "average": "string",
      "totalMatch": "string",
      "totalMatchValue": "string",
      "totalBuy": "string",
      "totalTradeBuy": "string",
      "totalSell": "string",
      "totalTradeSell": "string",
      "totalForeignBuy": "string",
      "totalForeignBuyValue": "string",
      "totalForeignSell": "string",
      "totalForeignSellValue": "string",
      "remainForeignRoom": "string",
      "totalForeignRoom": "string",
      "totalDeal": "string",
      "totalDealValue": "string",
      "openInterest": "string",
      "settlementPrice": "string"
    }
  ]
}

Invalid request.

{
  "code": "400",
  "msg": "Invalid request"
}